#!/usr/bin/env python3

#/**
#@fn      ogr help script.
#@brief   Muestra la ayuda de un script.
#@param   script: El script del que queremos mostrar la ayuda.
#@return  La ayuda del script.
#@exception ARG_REQUIRED: Argumento requerido.
#@exception SCRIPT_NOTFOUND: Script no encontrado.
#@exception SCRIPT_NOTEXECUTABLE: Script no ejecutable.
#@exception HELP_NOTFOUND: El script no tiene ayuda.
#@version 0.1 - Primera versión para OpenGnSys.
#@author  Alejandro Castaño, Wadobo Software S.L.
#@date    27/02/2011
#*/ ##

import libogr
import sys

if len(sys.argv) < 2:
    exit(1)

script = sys.argv[1]

try:
    script_help = libogr.get_help(script)

except libogr.ScriptNotFound:
    exit(2)

except libogr.ScriptNotExecutable:
    exit(3)

except libogr.DocumentationNotFound:
    exit(4)

if 'lang' in script_help:
   print('Lenguaje empleado en el script: %s' % script_help['lang'])

if 'fn' in script_help:
    print('Uso: %s' % script_help['fn'][0])

if 'brief' in script_help:
    print('Descripción: %s' % script_help['brief'][0])

if 'param' in script_help:
    for param in script_help['param']:
        print("Parametro %s" % param)

if 'return' in script_help:
    print("Devuelve: %s" % script_help['return'][0])

if 'exception' in script_help:
    number = 0
    for exc in script_help['exception']:
        number += 1
        print("Excepción %d %s" % (number, exc))

if 'version' in script_help:
    version = script_help['version'][-1]
    print("Versión: %s" % version['name'])
    if 'author' in version:
        for autor in version["author"]:
            print("Autor: %s" % autor)

    if 'date' in version:
        print('Date: %s' % version['date'])

exit(0)
